Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.query
Class QueryResult

    java.lang.Object
      net.sf.saxon.query.QueryResult

    public class QueryResult

extends Object

This utility class takes the result sequence produced by a query, and wraps it as an XML document. The class is never instantiated.

Field Summary
`static String` | `RESULT_NS`

Method Summary
`static void` | `rewriteToDisk(NodeInfo doc, Properties outputProperties, boolean backup, PrintStream log)` Write an updated document back to disk, using the original URI from which it was read
`static void` | `sendWrappedSequence(SequenceIterator iterator, Receiver destination)` Take a sequence supplied in the form of an iterator and generate a wrapped represention of the items in the sequence, the wrapped representation being a sequence of events sent to a supplied Receiver, in which each item is wrapped in a containing element that identifies its type
`static String` | `serialize(NodeInfo nodeInfo)` Convenience method to serialize a node using default serialization options, placing the result in a string.
`static void` | `serialize(NodeInfo node, Result destination, Properties outputProperties)` Serialize a document containing wrapped query results (or any other document, in fact) as XML.
`static void` | `serialize(NodeInfo node, Result destination, Properties outputProperties, Configuration config)` Deprecated. since 8.9; use `serialize(NodeInfo, Result, Properties)` instead.
`static void` | `serializeSequence(SequenceIterator iterator, Configuration config, OutputStream destination, Properties outputProps)` Serialize an arbitrary sequence, without any special wrapping.
`static void` | `serializeSequence(SequenceIterator iterator, Configuration config, Result result, Properties outputProperties)` Serialize a sequence to a given result
`static void` | `serializeSequence(SequenceIterator iterator, Configuration config, Writer writer, Properties outputProps)` Serialize an arbitrary sequence, without any special wrapping.
`static DocumentInfo` | `wrap(SequenceIterator iterator, Configuration config)` Take the results of a query (or any other SequenceIterator) and create an XML document containing copies of all items in the sequence, each item wrapped in a containing element that identifies its type

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESULT_NS

    public static String RESULT_NS

Method Detail

### serialize

    public static String serialize(NodeInfo nodeInfo)
                            throws XPathException

  Convenience method to serialize a node using default serialization options, placing the result in a string.

  Parameters:
    `nodeInfo` - the node to be serialized. This must not be an attribute or namespace node.
  Returns:
    the serialization of the node
  Throws:
    `XPathException` - if a serialization error occurs
  Since:
    9.0

### wrap

    public static DocumentInfo wrap(SequenceIterator iterator,
                                    Configuration config)
                             throws XPathException

  Take the results of a query (or any other SequenceIterator) and create an XML document containing copies of all items in the sequence, each item wrapped in a containing element that identifies its type

  Parameters:
    `iterator` - The values to be wrapped
    `config` - The Saxon configuration used to evaluate the query
  Returns:
    the document containing the wrapped results
  Throws:
    `XPathException` - if any failure occurs
  Since:
    8.8

### sendWrappedSequence

    public static void sendWrappedSequence(SequenceIterator iterator,
                                           Receiver destination)
                                    throws XPathException

  Take a sequence supplied in the form of an iterator and generate a wrapped represention of the items in the sequence, the wrapped representation being a sequence of events sent to a supplied Receiver, in which each item is wrapped in a containing element that identifies its type

  Parameters:
    `iterator` - the input sequence
    `destination` - the Receiver to accept the wrapped output
  Throws:
    `XPathException` - if a failure occurs processing the input iterator
  Since:
    8.8

### serialize

    public static void serialize(NodeInfo node,
                                 Result destination,
                                 Properties outputProperties,
                                 Configuration config)
                          throws XPathException

  Deprecated. since 8.9; use `serialize(NodeInfo, Result, Properties)` instead.

  Serialize a document containing wrapped query results (or any other document, in fact) as XML.

  Parameters:
    `node` - The document or element to be serialized
    `destination` - The Result object to contain the serialized form
    `outputProperties` - Serialization options, as defined in JAXP. The requested properties are not validated.
    `config` - The Configuration. This argument is ignored
  Throws:
    `XPathException` - If serialization fails

### serialize

    public static void serialize(NodeInfo node,
                                 Result destination,
                                 Properties outputProperties)
                          throws XPathException

  Serialize a document containing wrapped query results (or any other document, in fact) as XML.

  Parameters:
    `node` - The document or element to be serialized
    `destination` - The Result object to contain the serialized form
    `outputProperties` - Serialization options as defined in JAXP. The requested properties are not validated.
  Throws:
    `XPathException` - If serialization fails
  Since:
    8.9

### serializeSequence

    public static void serializeSequence(SequenceIterator iterator,
                                         Configuration config,
                                         OutputStream destination,
                                         Properties outputProps)
                                  throws XPathException

  Serialize an arbitrary sequence, without any special wrapping.

  Parameters:
    `iterator` - the sequence to be serialized
    `config` - the configuration (gives access to information such as the NamePool)
    `destination` - the output stream to which the output is to be written
    `outputProps` - a set of serialization properties as defined in JAXP. The requested properties are not validated.
  Throws:
    `XPathException` - if any failure occurs
  Since:
    8.9

### serializeSequence

    public static void serializeSequence(SequenceIterator iterator,
                                         Configuration config,
                                         Writer writer,
                                         Properties outputProps)
                                  throws XPathException

  Serialize an arbitrary sequence, without any special wrapping.

  Parameters:
    `iterator` - the sequence to be serialized
    `config` - the configuration (gives access to information such as the NamePool)
    `writer` - the writer to which the output is to be written
    `outputProps` - a set of serialization properties as defined in JAXP. The requested properties are not validated.
  Throws:
    `XPathException` - if any failure occurs
  Since:
    8.9

### serializeSequence

    public static void serializeSequence(SequenceIterator iterator,
                                         Configuration config,
                                         Result result,
                                         Properties outputProperties)
                                  throws XPathException

  Serialize a sequence to a given result

  Parameters:
    `iterator` - the sequence to be serialized
    `config` - the Saxon Configuration
    `result` - the destination to receive the output
    `outputProperties` - the serialization properties to be used. The requested properties are not validated.
  Throws:
    `XPathException` - if any failure occurs
  Since:
    9.0

### rewriteToDisk

    public static void rewriteToDisk(NodeInfo doc,
                                     Properties outputProperties,
                                     boolean backup,
                                     PrintStream log)
                              throws XPathException

  Write an updated document back to disk, using the original URI from which it was read

  Parameters:
    `doc` - an updated document. Must be a document node, or a parentless element, or an element that has a document node as its parent. The document will be written to the URI found in the systemId property of this node.
    `outputProperties` - serialization properties
    `backup` - true if the old document at that location is to be copied to a backup file
    `log` - destination for progress messages; if null, no progress messages are written
  Throws:
    `XPathException` - if the document has no known URI, if the URI is not a writable location, or if a serialization error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.